gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# Gtk::TreeIterBase Class Reference
TreeView Classes

Inheritance diagram for Gtk::TreeIterBase:
[legend]

List of all members.

## Public Member Functions
| TreeIterBase ()
| TreeIterBase (const GtkTreeIter* gobject)
GtkTreeIter* | gobj ()
| Provides access to the underlying C instance.
const GtkTreeIter* | gobj () const
| Provides access to the underlying C instance.
## Protected Attributes
GtkTreeIter | gobject_

## Constructor & Destructor Documentation

Gtk::TreeIterBase::TreeIterBase | ( |  | ) |

Gtk::TreeIterBase::TreeIterBase | ( | const GtkTreeIter * | gobject | ) | `[explicit]`

## Member Function Documentation

GtkTreeIter* Gtk::TreeIterBase::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

Reimplemented in Gtk::TreeRow.

const GtkTreeIter* Gtk::TreeIterBase::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

Reimplemented in Gtk::TreeRow.

## Member Data Documentation

GtkTreeIter Gtk::TreeIterBase::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gtkmm/treeiter.h